GPIOLOCK(4)

NAME
gpiolock - support for multi-position keylocks attached to GPIO pins

SYNOPSIS
gpiolock* at gpio? offset ? mask ?
gpiolock* at gpio?

DESCRIPTION
The gpiolock driver allows connecting of multi-position keylocks over GPIO pins. The keylock driver registers with an in-kernel keylock supporting system and provides kauth(9) support through an experimental security model. The keylock state can be queried using the hw.keylock sysctl variables. Only locks with 2-4 positions are currently supported. The pin number is specified in the kernel configuration with the offset locator. The mask locator denotes the pins used for the lock (minimum 2, maximum 4 pins are used). The offset and mask can also be specified when gpiolock is attached at runtime using the GPIOATTACH ioctl(2) on the gpio(4) device.

SEE ALSO
gpio(4), intro(4)

HISTORY
The gpiolock driver first appeared in NetBSD 6.0.

AUTHORS
-nosplit The gpiolock driver was written by Marc Balmer <marc@msys.ch>.